Voiceflow bearer token
Wait for runs
curl --request POST \
--url https://realtime-api.voiceflow.com/v1/stable/test-run/wait \
--header 'Authorization: Bearer <token>'
--header 'Content-Type: application/json' \
--data '{
"runIDs": [
"<string>"
],
"timeoutSeconds": 45
}'const response = await fetch('https://realtime-api.voiceflow.com/v1/stable/test-run/wait?projectID=<projectID>&environmentAlias=<environmentAlias>', {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'Content-Type': 'application/json',
},
body: JSON.stringify({
"runIDs": [
"<string>"
],
"timeoutSeconds": 45
}),
});
const data = await response.json();import requests
response = requests.post(
'https://realtime-api.voiceflow.com/v1/stable/test-run/wait?projectID=<projectID>&environmentAlias=<environmentAlias>',
headers={'Authorization': 'Bearer <token>'},
json={
"runIDs": [
"<string>"
],
"timeoutSeconds": 45
},
)
data = response.json()vf test run wait --project-id <projectID> --environment-alias <environmentAlias> \
< body.json{
"done": true,
"stoppedBy": "finished",
"waitedSeconds": 0,
"runs": [
{
"runID": "<string>",
"testID": "<string>",
"status": "idle",
"passedChecks": 0,
"totalChecks": 0,
"failReason": "<string>",
"failedChecks": [
{
"checkID": "<string>",
"type": "<string>",
"reason": "<string>"
}
],
"logsIncomplete": true
}
],
"notFoundRunIDs": [
"<string>"
],
"note": "<string>"
}Wait until runs finish or the time is up.
Paste in your agent
1. Set up Voiceflow by following https://www.voiceflow.com/agents/setup 2. Read https://www.voiceflow.com/docs/api-reference/test-run/wait-for-runs.md — the Voiceflow documentation page "Wait for runs". Use it to help me with this part of Voiceflow and answer my questions. Refer to https://www.voiceflow.com/docs/llms.txt if you need related documentation.
Prompt copied. Paste in your agent.
POST
/v1/stable/test-run/wait
Wait for runs
curl --request POST \
--url https://realtime-api.voiceflow.com/v1/stable/test-run/wait \
--header 'Authorization: Bearer <token>'
--header 'Content-Type: application/json' \
--data '{
"runIDs": [
"<string>"
],
"timeoutSeconds": 45
}'const response = await fetch('https://realtime-api.voiceflow.com/v1/stable/test-run/wait?projectID=<projectID>&environmentAlias=<environmentAlias>', {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'Content-Type': 'application/json',
},
body: JSON.stringify({
"runIDs": [
"<string>"
],
"timeoutSeconds": 45
}),
});
const data = await response.json();import requests
response = requests.post(
'https://realtime-api.voiceflow.com/v1/stable/test-run/wait?projectID=<projectID>&environmentAlias=<environmentAlias>',
headers={'Authorization': 'Bearer <token>'},
json={
"runIDs": [
"<string>"
],
"timeoutSeconds": 45
},
)
data = response.json()vf test run wait --project-id <projectID> --environment-alias <environmentAlias> \
< body.json{
"done": true,
"stoppedBy": "finished",
"waitedSeconds": 0,
"runs": [
{
"runID": "<string>",
"testID": "<string>",
"status": "idle",
"passedChecks": 0,
"totalChecks": 0,
"failReason": "<string>",
"failedChecks": [
{
"checkID": "<string>",
"type": "<string>",
"reason": "<string>"
}
],
"logsIncomplete": true
}
],
"notFoundRunIDs": [
"<string>"
],
"note": "<string>"
}Authorizations
Query Parameters
Body
Response
200 - application/jsonShow child attributes
Was this page helpful?
Thanks for your feedback.